PDA

View Full Version : Trouble Patching To 1.7



AkaRai
September 5th, 2010, 03:08
I have the version of DK2 that came in the silver combo box with DK, it comes with a patch and some goodies on the disc. My problem is, it seems to be stuck on version 1.61. I don't know if I previously manually patched to 1.7, or the disc I used to have was newer than the one I have now, and patched to it, but I remember using the Maiden and the Jack in the Box trap. I can't seem to use either, and I don't have access to the 7th My Pet Dungeon, so I assume it's not patched up.

However, when I try to download the patch online and install it, I always get this error message:


Old File not found. However, a file of the same name was found. No update done since the file contents do not match.

Is this because I didn't patch straight from 1.3 to 1.7? Anything I can do to rectify this short of a reinstall?

DragonsLover
September 5th, 2010, 06:29
On the main menu of the game, you can see which version of the game you're using in the bottom-left corner of the screen.

Once you know which version you have, if you have version 1.61, you have to get the patch that updates to 1.7. Unfortunately, on DK.net, we doesn't have these patches anymore, we only have "1.3 to 1.61" and "1.3 to 1.7". The best solution would be to install the version 1.3 of the game (if your special version allows it) then applies the correct patch. If you can't, you can still download the silver edition of the game which is the complete game already patched to 1.7 with a few improvements. You can download (http://dungeon-keeper.net/index.php?option=com_remository&Itemid=79&func=fileinfo&id=264) it on DK.net.

dk2fan
December 30th, 2011, 13:15
this is silver edition are you sure it works??

DragonsLover
December 30th, 2011, 23:05
Is is supposed to, yes.